org.apache.maven.artifact.deployer

## Interface ArtifactDeployer

All Known Implementing Classes:
  DefaultArtifactDeployer

    public interface ArtifactDeployer

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

Methods
`void` `deploy(java.io.File source, Artifact artifact, ArtifactRepository deploymentRepository, ArtifactRepository localRepository)` Deploy an artifact from a particular file.
`void` `deploy(java.lang.String basedir, java.lang.String finalName, Artifact artifact, ArtifactRepository deploymentRepository, ArtifactRepository localRepository)` Deprecated. to be removed before 2.0 after the instlal/deploy plugins use the alternate method

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### deploy

    void deploy(java.lang.String basedir,
              java.lang.String finalName,
              Artifact artifact,
              ArtifactRepository deploymentRepository,
              ArtifactRepository localRepository)
                throws ArtifactDeploymentException

Deprecated. to be removed before 2.0 after the instlal/deploy plugins use the alternate method
Deploy an artifact from a particular directory. The artifact handler is used to determine the filename of the source file.

Parameters:
  `basedir` - the directory where the artifact is stored
  `finalName` - the name of the artifact sans extension
  `artifact` - the artifact definition
  `deploymentRepository` - the repository to deploy to
  `localRepository` - the local repository to install into
Throws:
  `ArtifactDeploymentException` - if an error occurred deploying the artifact

#### deploy

    void deploy(java.io.File source,
              Artifact artifact,
              ArtifactRepository deploymentRepository,
              ArtifactRepository localRepository)
                throws ArtifactDeploymentException

Deploy an artifact from a particular file.

Parameters:
  `source` - the file to deploy
  `artifact` - the artifact definition
  `deploymentRepository` - the repository to deploy to
  `localRepository` - the local repository to install into
Throws:
  `ArtifactDeploymentException` - if an error occurred deploying the artifact